package com.jiuqi.util.crypto;

import com.jiuqi.util.JqLib;
import java.security.InvalidKeyException;
import java.security.NoSuchAlgorithmException;
import java.security.Provider;
import java.security.Security;
import javax.crypto.BadPaddingException;
import javax.crypto.Cipher;
import javax.crypto.IllegalBlockSizeException;
import javax.crypto.KeyGenerator;
import javax.crypto.NoSuchPaddingException;
import javax.crypto.SecretKey;
import javax.crypto.SecretKeyFactory;
import javax.crypto.spec.DESKeySpec;

public class DESUtil {
   private static final String Algorithm = "DES";

   public static final SecretKey generateKey() {
      try {
         Class jceClass = Class.forName("com.sun.crypto.provider.SunJCE");
         Security.addProvider((Provider)jceClass.newInstance());
         KeyGenerator keygen = KeyGenerator.getInstance("DES");
         return keygen.generateKey();
      } catch (NoSuchAlgorithmException var2) {
         NoSuchAlgorithmException ex = var2;
         ex.printStackTrace();
         return null;
      } catch (Exception var3) {
         Exception ex = var3;
         ex.printStackTrace();
         return null;
      }
   }

   public static final SecretKey transKey(String keyHexStr) {
      try {
         DESKeySpec dks = new DESKeySpec(JqLib.hexStringToBytes(keyHexStr));
         SecretKeyFactory keyFactory = SecretKeyFactory.getInstance("DES");
         SecretKey key = keyFactory.generateSecret(dks);
         return key;
      } catch (Exception var4) {
         Exception ex = var4;
         ex.printStackTrace();
         return null;
      }
   }

   public static final byte[] encrypt(SecretKey deskey, byte[] buff) {
      byte[] cipherByte = (byte[])null;

      try {
         Cipher c = Cipher.getInstance("DES");
         c.init(1, deskey);
         cipherByte = c.doFinal(buff);
      } catch (NoSuchPaddingException var4) {
         NoSuchPaddingException ex = var4;
         ex.printStackTrace();
      } catch (NoSuchAlgorithmException var5) {
         NoSuchAlgorithmException ex = var5;
         ex.printStackTrace();
         return null;
      } catch (InvalidKeyException var6) {
         InvalidKeyException ex = var6;
         ex.printStackTrace();
      } catch (BadPaddingException var7) {
         BadPaddingException ex = var7;
         ex.printStackTrace();
      } catch (IllegalBlockSizeException var8) {
         IllegalBlockSizeException ex = var8;
         ex.printStackTrace();
      }

      return cipherByte;
   }

   public static final String decrypt(SecretKey deskey, byte[] buff) {
      byte[] cipherByte = (byte[])null;

      try {
         Cipher c = Cipher.getInstance("DES");
         c.init(2, deskey);
         cipherByte = c.doFinal(buff);
      } catch (NoSuchPaddingException var4) {
         NoSuchPaddingException ex = var4;
         ex.printStackTrace();
      } catch (NoSuchAlgorithmException var5) {
         NoSuchAlgorithmException ex = var5;
         ex.printStackTrace();
      } catch (InvalidKeyException var6) {
         InvalidKeyException ex = var6;
         ex.printStackTrace();
      } catch (BadPaddingException var7) {
         BadPaddingException ex = var7;
         ex.printStackTrace();
      } catch (IllegalBlockSizeException var8) {
         IllegalBlockSizeException ex = var8;
         ex.printStackTrace();
      }

      return new String(cipherByte);
   }
}
